using OpenQA.Selenium;

namespace ESuite.UI.E2E.Pages
{
    public class AddUsersPage
    {
        private readonly IWebDriver driver;
        
        // Constructor to initialize the driver
        public AddUsersPage(IWebDriver driver)
        {
            this.driver = driver;
        }

        // Page elements
        public static By MailField => By.CssSelector("input#email");
        public static By FirstNameField => By.CssSelector("input#firstName");
        public static By MiddleNamesField => By.CssSelector("input#middleNames");
        public static By LastNameField => By.CssSelector("input#lastName");

        public static By DisplayNameSearchField => By.CssSelector("input#displayName");
        public static By EmailSearchField => By.CssSelector("input#email");
        public static By DomainNameSearchField => By.CssSelector("input#domainName");
        public static By CreatedSearchField => By.CssSelector("input#created");
        public static By LastUpdatedSearchField => By.CssSelector("input#lastUpdated");

        // Page actions

    }
}